<template>
  <div class="container mx-auto">
    <lobby-settings-render v-if="allowCompany" />
    <template v-else>
      <sport-popular-match v-if="isRecommendMatchEnabled" />
      <banner-entry
        v-if="!indexBlogI.IsHidden"
        :variant="indexBlogI.Text !== '' ? indexBlogI.Text : 'compact'"
      />
      <lobby-promotion
        v-if="isIndexBlogIIEnabled"
        :is-animate-theme-color="isAnimateThemeColor"
      />
      <lobby-shortcut
        :is-animate-btn="isAnimateThemeColor"
        :use-primary-color="isAnimateThemeColor"
      />
      <lobby-provider v-if="isIndexBlogVEnabled" class="mb-24" />
    </template>
    <div v-if="allowCompany" class="h-10 w-full"></div>
  </div>
</template>
<script setup lang="ts">
import { store } from "~~/store";

const themeProperties =
store.state.companyThemePropertiesFromApi.ThemeProperties;
const isAnimateThemeColor = computed(() => {
  const themeColor = themePropertyHelper.getSingleThemeProperty(
    themeProperties,
    "theme_color"
  ).Text;
  return ['main_cobaltblue'].includes(themeColor);
});
const indexBlogI = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_1"
);
const isIndexBlogIIEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_2"
).IsHidden;
const isIndexBlogVEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_5"
).IsHidden;
const isRecommendMatchEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "sportsbook_recommend_matches"
).IsHidden;
const { allowCompany } = commonHelper;
</script>
